import request from '@/utils/request'

// 列表
export function showList(data) {
  return request({
    url: 'enterprise/elect/list',
    method: 'POST',
    data:data
  })
}

//新增信息接口
export function save(data){
  return request({
    url: '/enterprise/elect/add',
    method: 'POST',
    data:data
  })
}

//修改信息
export function update(data){
  return request({
    url: `/enterprise/elect/${data.id}`,
    method: 'PUT',
    data:data
  })
}

//根据ID删除信息
export function deleted(id){
  return request({
    url:`/enterprise/elect/${id}`,
    method: 'DELETE'
  })
}

//下拉框
export function showTypeList() {
  return request({
    url: 'enterprise/elect/showLanTypeList',
    method: 'POST'
  })
}
